Bug 1387086 - SSL_SignatureMaxCount fails -Wstrict-prototypes
Summary: SSL_SignatureMaxCount fails -Wstrict-prototypes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nss
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daiki Ueno
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 1428470
TreeView+ depends on / blocked
 
Reported: 2016-10-20 04:04 UTC by wibrown@redhat.com
Modified: 2018-04-10 09:25 UTC (History)
4 users (show)

Fixed In Version: nss-3.33.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1428470 (view as bug list)
Environment:
Last Closed: 2018-04-10 09:23:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:0679 None None None 2018-04-10 09:25:17 UTC
Mozilla Foundation 1371249 None None None 2017-06-08 11:49:47 UTC

Description wibrown@redhat.com 2016-10-20 04:04:49 UTC
Description of problem:
In file included from /home/william/development/389ds/ds/ldap/servers/slapd/slap.h:108:0,
                 from /home/william/development/389ds/ds/ldap/servers/slapd/dn.c:22:
/usr/include/nss3/ssl.h:392:1: warning: function declaration isn’t a prototype [-Wstrict-prototypes]
 SSL_IMPORT unsigned int SSL_SignatureMaxCount();
 ^~~~~~~~~~


The content of ssl.h at line 392 should be:

 SSL_IMPORT unsigned int SSL_SignatureMaxCount(void);


It's a pretty trivial fix to apply I hope.

Comment 2 Kai Engert (:kaie) (inactive account) 2016-10-21 16:52:17 UTC
Should be fixed upstream.

Comment 3 Kai Engert (:kaie) (inactive account) 2016-10-24 12:54:52 UTC
(In reply to Kai Engert (:kaie) from comment #2)
> Should be fixed upstream.

Sorry, my comment was too short.

I think this ossie should be corrected upstream. I suggest to file a bug at bugzilla.mozilla.org

Comment 12 errata-xmlrpc 2018-04-10 09:23:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0679


Note You need to log in before you can comment on or make changes to this bug.